<!doctype html>

<html>
<head>
  <link rel="shortcut icon" href="static/images/favicon.ico" type="image/x-icon">
  <title>pluralrules.js (Closure Library API Documentation - JavaScript)</title>
  <link rel="stylesheet" href="static/css/base.css">
  <link rel="stylesheet" href="static/css/doc.css">
  <link rel="stylesheet" href="static/css/sidetree.css">
  <link rel="stylesheet" href="static/css/prettify.css">

  <script>
     var _staticFilePath = "static/";
     var _typeTreeName = "goog";
     var _fileTreeName = "Source";
  </script>

  <script src="static/js/doc.js">
  </script>


  <meta charset="utf8">
</head>

<body onload="grokdoc.onLoad();">

<div id="header">
  <div class="g-section g-tpl-50-50 g-split">
    <div class="g-unit g-first">
      <a id="logo" href="index.html">Closure Library API Documentation</a>
    </div>

    <div class="g-unit">
      <div class="g-c">
        <strong>Go to class or file:</strong>
        <input type="text" id="ac">
      </div>
    </div>
  </div>
</div>

<div class="clear"></div>

<h2><a href="local_closure_goog_i18n_pluralrules.js.html">pluralrules.js</a></h2>

<pre class="prettyprint lang-js">
<a name="line1"></a>// Copyright 2012 The Closure Library Authors. All Rights Reserved.
<a name="line2"></a>//
<a name="line3"></a>// Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
<a name="line4"></a>// you may not use this file except in compliance with the License.
<a name="line5"></a>// You may obtain a copy of the License at
<a name="line6"></a>//
<a name="line7"></a>//      http://www.apache.org/licenses/LICENSE-2.0
<a name="line8"></a>//
<a name="line9"></a>// Unless required by applicable law or agreed to in writing, software
<a name="line10"></a>// distributed under the License is distributed on an &quot;AS-IS&quot; BASIS,
<a name="line11"></a>// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
<a name="line12"></a>// See the License for the specific language governing permissions and
<a name="line13"></a>// limitations under the License.
<a name="line14"></a>
<a name="line15"></a>/**
<a name="line16"></a> * @fileoverview Plural rules.
<a name="line17"></a> *
<a name="line18"></a> * This file is autogenerated by script:
<a name="line19"></a> *   http://go/generate_pluralrules.py
<a name="line20"></a> * File generated from CLDR ver. 24
<a name="line21"></a> *
<a name="line22"></a> * Before check in, this file could have been manually edited. This is to
<a name="line23"></a> * incorporate changes before we could fix CLDR. All manual modification must be
<a name="line24"></a> * documented in this section, and should be removed after those changes land to
<a name="line25"></a> * CLDR.
<a name="line26"></a> */
<a name="line27"></a>
<a name="line28"></a>goog.provide(&#39;goog.i18n.pluralRules&#39;);
<a name="line29"></a>/**
<a name="line30"></a> * Plural pattern keyword
<a name="line31"></a> * @enum {string}
<a name="line32"></a> */
<a name="line33"></a>goog.i18n.pluralRules.Keyword = {
<a name="line34"></a>  ZERO: &#39;zero&#39;,
<a name="line35"></a>  ONE: &#39;one&#39;,
<a name="line36"></a>  TWO: &#39;two&#39;,
<a name="line37"></a>  FEW: &#39;few&#39;,
<a name="line38"></a>  MANY: &#39;many&#39;,
<a name="line39"></a>  OTHER: &#39;other&#39;
<a name="line40"></a>};
<a name="line41"></a>
<a name="line42"></a>
<a name="line43"></a>/**
<a name="line44"></a> * Default Plural select rule.
<a name="line45"></a> * @param {number} n The count of items.
<a name="line46"></a> * @param {number=} opt_precision optional, precision.
<a name="line47"></a> * @return {goog.i18n.pluralRules.Keyword} Default value.
<a name="line48"></a> * @private
<a name="line49"></a> */
<a name="line50"></a>goog.i18n.pluralRules.defaultSelect_ = function(n, opt_precision) {
<a name="line51"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line52"></a>};
<a name="line53"></a>
<a name="line54"></a>/**
<a name="line55"></a> * Returns the fractional part of a number (3.1416 =&gt; 1416)
<a name="line56"></a> * @param {number} n The count of items.
<a name="line57"></a> * @return {number} The fractional part.
<a name="line58"></a> * @private
<a name="line59"></a> */
<a name="line60"></a>goog.i18n.pluralRules.decimals_ = function(n) {
<a name="line61"></a>  var str = n + &#39;&#39;;
<a name="line62"></a>  var result = str.indexOf(&#39;.&#39;);
<a name="line63"></a>  return (result == -1) ? 0 : str.length - result - 1;
<a name="line64"></a>};
<a name="line65"></a>
<a name="line66"></a>/**
<a name="line67"></a> * Calculates v and f as per CLDR plural rules.
<a name="line68"></a> * The short names for parameters / return match the CLDR syntax and UTS #35
<a name="line69"></a> *     (http://unicode.org/reports/tr35/tr35-numbers.html#Plural_rules_syntax)
<a name="line70"></a> * @param {number} n The count of items.
<a name="line71"></a> * @param {number=} opt_precision optional, precision.
<a name="line72"></a> * @return {!Object} The v and f.
<a name="line73"></a> * @private
<a name="line74"></a> */
<a name="line75"></a>goog.i18n.pluralRules.get_vf_ = function(n, opt_precision) {
<a name="line76"></a>  var DEFAULT_DIGITS = 3;
<a name="line77"></a>
<a name="line78"></a>  if (undefined === opt_precision) {
<a name="line79"></a>    var v = Math.min(goog.i18n.pluralRules.decimals_(n), DEFAULT_DIGITS);
<a name="line80"></a>  } else {
<a name="line81"></a>    var v = opt_precision;
<a name="line82"></a>  }
<a name="line83"></a>
<a name="line84"></a>  var base = Math.pow(10, v);
<a name="line85"></a>  var f = ((n * base) | 0) % base;
<a name="line86"></a>
<a name="line87"></a>  return {v: v, f: f};
<a name="line88"></a>};
<a name="line89"></a>
<a name="line90"></a>/**
<a name="line91"></a> * Calculates w and t as per CLDR plural rules.
<a name="line92"></a> * The short names for parameters / return match the CLDR syntax and UTS #35
<a name="line93"></a> *     (http://unicode.org/reports/tr35/tr35-numbers.html#Plural_rules_syntax)
<a name="line94"></a> * @param {number} v Calculated previously.
<a name="line95"></a> * @param {number} f Calculated previously.
<a name="line96"></a> * @return {!Object} The w and t.
<a name="line97"></a> * @private
<a name="line98"></a> */
<a name="line99"></a>goog.i18n.pluralRules.get_wt_ = function(v, f) {
<a name="line100"></a>  if (f === 0) {
<a name="line101"></a>    return {w: 0, t: 0};
<a name="line102"></a>  }
<a name="line103"></a>
<a name="line104"></a>  while ((f % 10) === 0) {
<a name="line105"></a>    f /= 10;
<a name="line106"></a>    v--;
<a name="line107"></a>  }
<a name="line108"></a>
<a name="line109"></a>  return {w: v, t: f};
<a name="line110"></a>};
<a name="line111"></a>
<a name="line112"></a>/**
<a name="line113"></a> * Plural select rules for ga locale
<a name="line114"></a> *
<a name="line115"></a> * @param {number} n  The count of items.
<a name="line116"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line117"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line118"></a> * @private
<a name="line119"></a> */
<a name="line120"></a>goog.i18n.pluralRules.gaSelect_ = function(n, opt_precision) {
<a name="line121"></a>  if (n == 1) {
<a name="line122"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line123"></a>  }
<a name="line124"></a>  if (n == 2) {
<a name="line125"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line126"></a>  }
<a name="line127"></a>  if (n &gt;= 3 &amp;&amp; n &lt;= 6) {
<a name="line128"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line129"></a>  }
<a name="line130"></a>  if (n &gt;= 7 &amp;&amp; n &lt;= 10) {
<a name="line131"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line132"></a>  }
<a name="line133"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line134"></a>};
<a name="line135"></a>
<a name="line136"></a>/**
<a name="line137"></a> * Plural select rules for ro locale
<a name="line138"></a> *
<a name="line139"></a> * @param {number} n  The count of items.
<a name="line140"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line141"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line142"></a> * @private
<a name="line143"></a> */
<a name="line144"></a>goog.i18n.pluralRules.roSelect_ = function(n, opt_precision) {
<a name="line145"></a>  var i = n | 0;
<a name="line146"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line147"></a>  if (i == 1 &amp;&amp; vf.v == 0) {
<a name="line148"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line149"></a>  }
<a name="line150"></a>  if (vf.v != 0 || n == 0 || n != 1 &amp;&amp; n % 100 &gt;= 1 &amp;&amp; n % 100 &lt;= 19) {
<a name="line151"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line152"></a>  }
<a name="line153"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line154"></a>};
<a name="line155"></a>
<a name="line156"></a>/**
<a name="line157"></a> * Plural select rules for fr locale
<a name="line158"></a> *
<a name="line159"></a> * @param {number} n  The count of items.
<a name="line160"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line161"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line162"></a> * @private
<a name="line163"></a> */
<a name="line164"></a>goog.i18n.pluralRules.frSelect_ = function(n, opt_precision) {
<a name="line165"></a>  var i = n | 0;
<a name="line166"></a>  if (i == 0 || i == 1) {
<a name="line167"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line168"></a>  }
<a name="line169"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line170"></a>};
<a name="line171"></a>
<a name="line172"></a>/**
<a name="line173"></a> * Plural select rules for en locale
<a name="line174"></a> *
<a name="line175"></a> * @param {number} n  The count of items.
<a name="line176"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line177"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line178"></a> * @private
<a name="line179"></a> */
<a name="line180"></a>goog.i18n.pluralRules.enSelect_ = function(n, opt_precision) {
<a name="line181"></a>  var i = n | 0;
<a name="line182"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line183"></a>  if (i == 1 &amp;&amp; vf.v == 0) {
<a name="line184"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line185"></a>  }
<a name="line186"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line187"></a>};
<a name="line188"></a>
<a name="line189"></a>/**
<a name="line190"></a> * Plural select rules for mt locale
<a name="line191"></a> *
<a name="line192"></a> * @param {number} n  The count of items.
<a name="line193"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line194"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line195"></a> * @private
<a name="line196"></a> */
<a name="line197"></a>goog.i18n.pluralRules.mtSelect_ = function(n, opt_precision) {
<a name="line198"></a>  if (n == 1) {
<a name="line199"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line200"></a>  }
<a name="line201"></a>  if (n == 0 || n % 100 &gt;= 2 &amp;&amp; n % 100 &lt;= 10) {
<a name="line202"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line203"></a>  }
<a name="line204"></a>  if (n % 100 &gt;= 11 &amp;&amp; n % 100 &lt;= 19) {
<a name="line205"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line206"></a>  }
<a name="line207"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line208"></a>};
<a name="line209"></a>
<a name="line210"></a>/**
<a name="line211"></a> * Plural select rules for da locale
<a name="line212"></a> *
<a name="line213"></a> * @param {number} n  The count of items.
<a name="line214"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line215"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line216"></a> * @private
<a name="line217"></a> */
<a name="line218"></a>goog.i18n.pluralRules.daSelect_ = function(n, opt_precision) {
<a name="line219"></a>  var i = n | 0;
<a name="line220"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line221"></a>  var wt = goog.i18n.pluralRules.get_wt_(vf.v, vf.f);
<a name="line222"></a>  if (n == 1 || wt.t != 0 &amp;&amp; (i == 0 || i == 1)) {
<a name="line223"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line224"></a>  }
<a name="line225"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line226"></a>};
<a name="line227"></a>
<a name="line228"></a>/**
<a name="line229"></a> * Plural select rules for cy locale
<a name="line230"></a> *
<a name="line231"></a> * @param {number} n  The count of items.
<a name="line232"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line233"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line234"></a> * @private
<a name="line235"></a> */
<a name="line236"></a>goog.i18n.pluralRules.cySelect_ = function(n, opt_precision) {
<a name="line237"></a>  if (n == 0) {
<a name="line238"></a>    return goog.i18n.pluralRules.Keyword.ZERO;
<a name="line239"></a>  }
<a name="line240"></a>  if (n == 1) {
<a name="line241"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line242"></a>  }
<a name="line243"></a>  if (n == 2) {
<a name="line244"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line245"></a>  }
<a name="line246"></a>  if (n == 3) {
<a name="line247"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line248"></a>  }
<a name="line249"></a>  if (n == 6) {
<a name="line250"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line251"></a>  }
<a name="line252"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line253"></a>};
<a name="line254"></a>
<a name="line255"></a>/**
<a name="line256"></a> * Plural select rules for br locale
<a name="line257"></a> *
<a name="line258"></a> * @param {number} n  The count of items.
<a name="line259"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line260"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line261"></a> * @private
<a name="line262"></a> */
<a name="line263"></a>goog.i18n.pluralRules.brSelect_ = function(n, opt_precision) {
<a name="line264"></a>  if (n % 10 == 1 &amp;&amp; n % 100 != 11 &amp;&amp; n % 100 != 71 &amp;&amp; n % 100 != 91) {
<a name="line265"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line266"></a>  }
<a name="line267"></a>  if (n % 10 == 2 &amp;&amp; n % 100 != 12 &amp;&amp; n % 100 != 72 &amp;&amp; n % 100 != 92) {
<a name="line268"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line269"></a>  }
<a name="line270"></a>  if ((n % 10 &gt;= 3 &amp;&amp; n % 10 &lt;= 4 || n % 10 == 9) &amp;&amp; (n % 100 &lt; 10 || n % 100 &gt; 19) &amp;&amp; (n % 100 &lt; 70 || n % 100 &gt; 79) &amp;&amp; (n % 100 &lt; 90 || n % 100 &gt; 99)) {
<a name="line271"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line272"></a>  }
<a name="line273"></a>  if (n != 0 &amp;&amp; n % 1000000 == 0) {
<a name="line274"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line275"></a>  }
<a name="line276"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line277"></a>};
<a name="line278"></a>
<a name="line279"></a>/**
<a name="line280"></a> * Plural select rules for es locale
<a name="line281"></a> *
<a name="line282"></a> * @param {number} n  The count of items.
<a name="line283"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line284"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line285"></a> * @private
<a name="line286"></a> */
<a name="line287"></a>goog.i18n.pluralRules.esSelect_ = function(n, opt_precision) {
<a name="line288"></a>  if (n == 1) {
<a name="line289"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line290"></a>  }
<a name="line291"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line292"></a>};
<a name="line293"></a>
<a name="line294"></a>/**
<a name="line295"></a> * Plural select rules for si locale
<a name="line296"></a> *
<a name="line297"></a> * @param {number} n  The count of items.
<a name="line298"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line299"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line300"></a> * @private
<a name="line301"></a> */
<a name="line302"></a>goog.i18n.pluralRules.siSelect_ = function(n, opt_precision) {
<a name="line303"></a>  var i = n | 0;
<a name="line304"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line305"></a>  if ((n == 0 || n == 1) || i == 0 &amp;&amp; vf.f == 1) {
<a name="line306"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line307"></a>  }
<a name="line308"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line309"></a>};
<a name="line310"></a>
<a name="line311"></a>/**
<a name="line312"></a> * Plural select rules for sl locale
<a name="line313"></a> *
<a name="line314"></a> * @param {number} n  The count of items.
<a name="line315"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line316"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line317"></a> * @private
<a name="line318"></a> */
<a name="line319"></a>goog.i18n.pluralRules.slSelect_ = function(n, opt_precision) {
<a name="line320"></a>  var i = n | 0;
<a name="line321"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line322"></a>  if (vf.v == 0 &amp;&amp; i % 100 == 1) {
<a name="line323"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line324"></a>  }
<a name="line325"></a>  if (vf.v == 0 &amp;&amp; i % 100 == 2) {
<a name="line326"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line327"></a>  }
<a name="line328"></a>  if (vf.v == 0 &amp;&amp; i % 100 &gt;= 3 &amp;&amp; i % 100 &lt;= 4 || vf.v != 0) {
<a name="line329"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line330"></a>  }
<a name="line331"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line332"></a>};
<a name="line333"></a>
<a name="line334"></a>/**
<a name="line335"></a> * Plural select rules for tzm locale
<a name="line336"></a> *
<a name="line337"></a> * @param {number} n  The count of items.
<a name="line338"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line339"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line340"></a> * @private
<a name="line341"></a> */
<a name="line342"></a>goog.i18n.pluralRules.tzmSelect_ = function(n, opt_precision) {
<a name="line343"></a>  if (n &gt;= 0 &amp;&amp; n &lt;= 1 || n &gt;= 11 &amp;&amp; n &lt;= 99) {
<a name="line344"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line345"></a>  }
<a name="line346"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line347"></a>};
<a name="line348"></a>
<a name="line349"></a>/**
<a name="line350"></a> * Plural select rules for sr locale
<a name="line351"></a> *
<a name="line352"></a> * @param {number} n  The count of items.
<a name="line353"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line354"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line355"></a> * @private
<a name="line356"></a> */
<a name="line357"></a>goog.i18n.pluralRules.srSelect_ = function(n, opt_precision) {
<a name="line358"></a>  var i = n | 0;
<a name="line359"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line360"></a>  if (vf.v == 0 &amp;&amp; i % 10 == 1 &amp;&amp; i % 100 != 11 || vf.f % 10 == 1 &amp;&amp; vf.f % 100 != 11) {
<a name="line361"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line362"></a>  }
<a name="line363"></a>  if (vf.v == 0 &amp;&amp; i % 10 &gt;= 2 &amp;&amp; i % 10 &lt;= 4 &amp;&amp; (i % 100 &lt; 12 || i % 100 &gt; 14) || vf.f % 10 &gt;= 2 &amp;&amp; vf.f % 10 &lt;= 4 &amp;&amp; (vf.f % 100 &lt; 12 || vf.f % 100 &gt; 14)) {
<a name="line364"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line365"></a>  }
<a name="line366"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line367"></a>};
<a name="line368"></a>
<a name="line369"></a>/**
<a name="line370"></a> * Plural select rules for hi locale
<a name="line371"></a> *
<a name="line372"></a> * @param {number} n  The count of items.
<a name="line373"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line374"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line375"></a> * @private
<a name="line376"></a> */
<a name="line377"></a>goog.i18n.pluralRules.hiSelect_ = function(n, opt_precision) {
<a name="line378"></a>  var i = n | 0;
<a name="line379"></a>  if (i == 0 || n == 1) {
<a name="line380"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line381"></a>  }
<a name="line382"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line383"></a>};
<a name="line384"></a>
<a name="line385"></a>/**
<a name="line386"></a> * Plural select rules for mk locale
<a name="line387"></a> *
<a name="line388"></a> * @param {number} n  The count of items.
<a name="line389"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line390"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line391"></a> * @private
<a name="line392"></a> */
<a name="line393"></a>goog.i18n.pluralRules.mkSelect_ = function(n, opt_precision) {
<a name="line394"></a>  var i = n | 0;
<a name="line395"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line396"></a>  if (vf.v == 0 &amp;&amp; i % 10 == 1 || vf.f % 10 == 1) {
<a name="line397"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line398"></a>  }
<a name="line399"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line400"></a>};
<a name="line401"></a>
<a name="line402"></a>/**
<a name="line403"></a> * Plural select rules for ar locale
<a name="line404"></a> *
<a name="line405"></a> * @param {number} n  The count of items.
<a name="line406"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line407"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line408"></a> * @private
<a name="line409"></a> */
<a name="line410"></a>goog.i18n.pluralRules.arSelect_ = function(n, opt_precision) {
<a name="line411"></a>  if (n == 0) {
<a name="line412"></a>    return goog.i18n.pluralRules.Keyword.ZERO;
<a name="line413"></a>  }
<a name="line414"></a>  if (n == 1) {
<a name="line415"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line416"></a>  }
<a name="line417"></a>  if (n == 2) {
<a name="line418"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line419"></a>  }
<a name="line420"></a>  if (n % 100 &gt;= 3 &amp;&amp; n % 100 &lt;= 10) {
<a name="line421"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line422"></a>  }
<a name="line423"></a>  if (n % 100 &gt;= 11 &amp;&amp; n % 100 &lt;= 99) {
<a name="line424"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line425"></a>  }
<a name="line426"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line427"></a>};
<a name="line428"></a>
<a name="line429"></a>/**
<a name="line430"></a> * Plural select rules for iu locale
<a name="line431"></a> *
<a name="line432"></a> * @param {number} n  The count of items.
<a name="line433"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line434"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line435"></a> * @private
<a name="line436"></a> */
<a name="line437"></a>goog.i18n.pluralRules.iuSelect_ = function(n, opt_precision) {
<a name="line438"></a>  if (n == 1) {
<a name="line439"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line440"></a>  }
<a name="line441"></a>  if (n == 2) {
<a name="line442"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line443"></a>  }
<a name="line444"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line445"></a>};
<a name="line446"></a>
<a name="line447"></a>/**
<a name="line448"></a> * Plural select rules for cs locale
<a name="line449"></a> *
<a name="line450"></a> * @param {number} n  The count of items.
<a name="line451"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line452"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line453"></a> * @private
<a name="line454"></a> */
<a name="line455"></a>goog.i18n.pluralRules.csSelect_ = function(n, opt_precision) {
<a name="line456"></a>  var i = n | 0;
<a name="line457"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line458"></a>  if (i == 1 &amp;&amp; vf.v == 0) {
<a name="line459"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line460"></a>  }
<a name="line461"></a>  if (i &gt;= 2 &amp;&amp; i &lt;= 4 &amp;&amp; vf.v == 0) {
<a name="line462"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line463"></a>  }
<a name="line464"></a>  if (vf.v != 0) {
<a name="line465"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line466"></a>  }
<a name="line467"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line468"></a>};
<a name="line469"></a>
<a name="line470"></a>/**
<a name="line471"></a> * Plural select rules for pt_PT locale
<a name="line472"></a> *
<a name="line473"></a> * @param {number} n  The count of items.
<a name="line474"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line475"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line476"></a> * @private
<a name="line477"></a> */
<a name="line478"></a>goog.i18n.pluralRules.pt_PTSelect_ = function(n, opt_precision) {
<a name="line479"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line480"></a>  if (n == 1 &amp;&amp; vf.v == 0) {
<a name="line481"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line482"></a>  }
<a name="line483"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line484"></a>};
<a name="line485"></a>
<a name="line486"></a>/**
<a name="line487"></a> * Plural select rules for be locale
<a name="line488"></a> *
<a name="line489"></a> * @param {number} n  The count of items.
<a name="line490"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line491"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line492"></a> * @private
<a name="line493"></a> */
<a name="line494"></a>goog.i18n.pluralRules.beSelect_ = function(n, opt_precision) {
<a name="line495"></a>  if (n % 10 == 1 &amp;&amp; n % 100 != 11) {
<a name="line496"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line497"></a>  }
<a name="line498"></a>  if (n % 10 &gt;= 2 &amp;&amp; n % 10 &lt;= 4 &amp;&amp; (n % 100 &lt; 12 || n % 100 &gt; 14)) {
<a name="line499"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line500"></a>  }
<a name="line501"></a>  if (n % 10 == 0 || n % 10 &gt;= 5 &amp;&amp; n % 10 &lt;= 9 || n % 100 &gt;= 11 &amp;&amp; n % 100 &lt;= 14) {
<a name="line502"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line503"></a>  }
<a name="line504"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line505"></a>};
<a name="line506"></a>
<a name="line507"></a>/**
<a name="line508"></a> * Plural select rules for ak locale
<a name="line509"></a> *
<a name="line510"></a> * @param {number} n  The count of items.
<a name="line511"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line512"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line513"></a> * @private
<a name="line514"></a> */
<a name="line515"></a>goog.i18n.pluralRules.akSelect_ = function(n, opt_precision) {
<a name="line516"></a>  if (n &gt;= 0 &amp;&amp; n &lt;= 1) {
<a name="line517"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line518"></a>  }
<a name="line519"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line520"></a>};
<a name="line521"></a>
<a name="line522"></a>/**
<a name="line523"></a> * Plural select rules for pt locale
<a name="line524"></a> *
<a name="line525"></a> * @param {number} n  The count of items.
<a name="line526"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line527"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line528"></a> * @private
<a name="line529"></a> */
<a name="line530"></a>goog.i18n.pluralRules.ptSelect_ = function(n, opt_precision) {
<a name="line531"></a>  var i = n | 0;
<a name="line532"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line533"></a>  var wt = goog.i18n.pluralRules.get_wt_(vf.v, vf.f);
<a name="line534"></a>  if (i == 1 &amp;&amp; vf.v == 0 || i == 0 &amp;&amp; wt.t == 1) {
<a name="line535"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line536"></a>  }
<a name="line537"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line538"></a>};
<a name="line539"></a>
<a name="line540"></a>/**
<a name="line541"></a> * Plural select rules for pl locale
<a name="line542"></a> *
<a name="line543"></a> * @param {number} n  The count of items.
<a name="line544"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line545"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line546"></a> * @private
<a name="line547"></a> */
<a name="line548"></a>goog.i18n.pluralRules.plSelect_ = function(n, opt_precision) {
<a name="line549"></a>  var i = n | 0;
<a name="line550"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line551"></a>  if (i == 1 &amp;&amp; vf.v == 0) {
<a name="line552"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line553"></a>  }
<a name="line554"></a>  if (vf.v == 0 &amp;&amp; i % 10 &gt;= 2 &amp;&amp; i % 10 &lt;= 4 &amp;&amp; (i % 100 &lt; 12 || i % 100 &gt; 14)) {
<a name="line555"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line556"></a>  }
<a name="line557"></a>  if (vf.v == 0 &amp;&amp; i != 1 &amp;&amp; i % 10 &gt;= 0 &amp;&amp; i % 10 &lt;= 1 || vf.v == 0 &amp;&amp; i % 10 &gt;= 5 &amp;&amp; i % 10 &lt;= 9 || vf.v == 0 &amp;&amp; i % 100 &gt;= 12 &amp;&amp; i % 100 &lt;= 14) {
<a name="line558"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line559"></a>  }
<a name="line560"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line561"></a>};
<a name="line562"></a>
<a name="line563"></a>/**
<a name="line564"></a> * Plural select rules for ru locale
<a name="line565"></a> *
<a name="line566"></a> * @param {number} n  The count of items.
<a name="line567"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line568"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line569"></a> * @private
<a name="line570"></a> */
<a name="line571"></a>goog.i18n.pluralRules.ruSelect_ = function(n, opt_precision) {
<a name="line572"></a>  var i = n | 0;
<a name="line573"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line574"></a>  if (vf.v == 0 &amp;&amp; i % 10 == 1 &amp;&amp; i % 100 != 11) {
<a name="line575"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line576"></a>  }
<a name="line577"></a>  if (vf.v == 0 &amp;&amp; i % 10 &gt;= 2 &amp;&amp; i % 10 &lt;= 4 &amp;&amp; (i % 100 &lt; 12 || i % 100 &gt; 14)) {
<a name="line578"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line579"></a>  }
<a name="line580"></a>  if (vf.v == 0 &amp;&amp; i % 10 == 0 || vf.v == 0 &amp;&amp; i % 10 &gt;= 5 &amp;&amp; i % 10 &lt;= 9 || vf.v == 0 &amp;&amp; i % 100 &gt;= 11 &amp;&amp; i % 100 &lt;= 14) {
<a name="line581"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line582"></a>  }
<a name="line583"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line584"></a>};
<a name="line585"></a>
<a name="line586"></a>/**
<a name="line587"></a> * Plural select rules for gv locale
<a name="line588"></a> *
<a name="line589"></a> * @param {number} n  The count of items.
<a name="line590"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line591"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line592"></a> * @private
<a name="line593"></a> */
<a name="line594"></a>goog.i18n.pluralRules.gvSelect_ = function(n, opt_precision) {
<a name="line595"></a>  if (n % 10 == 1) {
<a name="line596"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line597"></a>  }
<a name="line598"></a>  if (n % 10 == 2) {
<a name="line599"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line600"></a>  }
<a name="line601"></a>  if (n % 100 == 0 || n % 100 == 20 || n % 100 == 40 || n % 100 == 60) {
<a name="line602"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line603"></a>  }
<a name="line604"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line605"></a>};
<a name="line606"></a>
<a name="line607"></a>/**
<a name="line608"></a> * Plural select rules for lag locale
<a name="line609"></a> *
<a name="line610"></a> * @param {number} n  The count of items.
<a name="line611"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line612"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line613"></a> * @private
<a name="line614"></a> */
<a name="line615"></a>goog.i18n.pluralRules.lagSelect_ = function(n, opt_precision) {
<a name="line616"></a>  var i = n | 0;
<a name="line617"></a>  if (n == 0) {
<a name="line618"></a>    return goog.i18n.pluralRules.Keyword.ZERO;
<a name="line619"></a>  }
<a name="line620"></a>  if ((i == 0 || i == 1) &amp;&amp; n != 0) {
<a name="line621"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line622"></a>  }
<a name="line623"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line624"></a>};
<a name="line625"></a>
<a name="line626"></a>/**
<a name="line627"></a> * Plural select rules for shi locale
<a name="line628"></a> *
<a name="line629"></a> * @param {number} n  The count of items.
<a name="line630"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line631"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line632"></a> * @private
<a name="line633"></a> */
<a name="line634"></a>goog.i18n.pluralRules.shiSelect_ = function(n, opt_precision) {
<a name="line635"></a>  var i = n | 0;
<a name="line636"></a>  if (i == 0 || n == 1) {
<a name="line637"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line638"></a>  }
<a name="line639"></a>  if (n &gt;= 2 &amp;&amp; n &lt;= 10) {
<a name="line640"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line641"></a>  }
<a name="line642"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line643"></a>};
<a name="line644"></a>
<a name="line645"></a>/**
<a name="line646"></a> * Plural select rules for he locale
<a name="line647"></a> *
<a name="line648"></a> * @param {number} n  The count of items.
<a name="line649"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line650"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line651"></a> * @private
<a name="line652"></a> */
<a name="line653"></a>goog.i18n.pluralRules.heSelect_ = function(n, opt_precision) {
<a name="line654"></a>  var i = n | 0;
<a name="line655"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line656"></a>  if (i == 1 &amp;&amp; vf.v == 0) {
<a name="line657"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line658"></a>  }
<a name="line659"></a>  if (i == 2 &amp;&amp; vf.v == 0) {
<a name="line660"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line661"></a>  }
<a name="line662"></a>  if (vf.v == 0 &amp;&amp; (n &lt; 0 || n &gt; 10) &amp;&amp; n % 10 == 0) {
<a name="line663"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line664"></a>  }
<a name="line665"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line666"></a>};
<a name="line667"></a>
<a name="line668"></a>/**
<a name="line669"></a> * Plural select rules for is locale
<a name="line670"></a> *
<a name="line671"></a> * @param {number} n  The count of items.
<a name="line672"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line673"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line674"></a> * @private
<a name="line675"></a> */
<a name="line676"></a>goog.i18n.pluralRules.isSelect_ = function(n, opt_precision) {
<a name="line677"></a>  var i = n | 0;
<a name="line678"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line679"></a>  var wt = goog.i18n.pluralRules.get_wt_(vf.v, vf.f);
<a name="line680"></a>  if (wt.t == 0 &amp;&amp; i % 10 == 1 &amp;&amp; i % 100 != 11 || wt.t != 0) {
<a name="line681"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line682"></a>  }
<a name="line683"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line684"></a>};
<a name="line685"></a>
<a name="line686"></a>/**
<a name="line687"></a> * Plural select rules for lt locale
<a name="line688"></a> *
<a name="line689"></a> * @param {number} n  The count of items.
<a name="line690"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line691"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line692"></a> * @private
<a name="line693"></a> */
<a name="line694"></a>goog.i18n.pluralRules.ltSelect_ = function(n, opt_precision) {
<a name="line695"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line696"></a>  if (n % 10 == 1 &amp;&amp; (n % 100 &lt; 11 || n % 100 &gt; 19)) {
<a name="line697"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line698"></a>  }
<a name="line699"></a>  if (n % 10 &gt;= 2 &amp;&amp; n % 10 &lt;= 9 &amp;&amp; (n % 100 &lt; 11 || n % 100 &gt; 19)) {
<a name="line700"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line701"></a>  }
<a name="line702"></a>  if (vf.f != 0) {
<a name="line703"></a>    return goog.i18n.pluralRules.Keyword.MANY;
<a name="line704"></a>  }
<a name="line705"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line706"></a>};
<a name="line707"></a>
<a name="line708"></a>/**
<a name="line709"></a> * Plural select rules for gd locale
<a name="line710"></a> *
<a name="line711"></a> * @param {number} n  The count of items.
<a name="line712"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line713"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line714"></a> * @private
<a name="line715"></a> */
<a name="line716"></a>goog.i18n.pluralRules.gdSelect_ = function(n, opt_precision) {
<a name="line717"></a>  if (n == 1 || n == 11) {
<a name="line718"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line719"></a>  }
<a name="line720"></a>  if (n == 2 || n == 12) {
<a name="line721"></a>    return goog.i18n.pluralRules.Keyword.TWO;
<a name="line722"></a>  }
<a name="line723"></a>  if (n &gt;= 3 &amp;&amp; n &lt;= 10 || n &gt;= 13 &amp;&amp; n &lt;= 19) {
<a name="line724"></a>    return goog.i18n.pluralRules.Keyword.FEW;
<a name="line725"></a>  }
<a name="line726"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line727"></a>};
<a name="line728"></a>
<a name="line729"></a>/**
<a name="line730"></a> * Plural select rules for fil locale
<a name="line731"></a> *
<a name="line732"></a> * @param {number} n  The count of items.
<a name="line733"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line734"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line735"></a> * @private
<a name="line736"></a> */
<a name="line737"></a>goog.i18n.pluralRules.filSelect_ = function(n, opt_precision) {
<a name="line738"></a>  var i = n | 0;
<a name="line739"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line740"></a>  if (i &gt;= 0 &amp;&amp; i &lt;= 1 &amp;&amp; vf.v == 0) {
<a name="line741"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line742"></a>  }
<a name="line743"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line744"></a>};
<a name="line745"></a>
<a name="line746"></a>/**
<a name="line747"></a> * Plural select rules for lv locale
<a name="line748"></a> *
<a name="line749"></a> * @param {number} n  The count of items.
<a name="line750"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line751"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line752"></a> * @private
<a name="line753"></a> */
<a name="line754"></a>goog.i18n.pluralRules.lvSelect_ = function(n, opt_precision) {
<a name="line755"></a>  var vf = goog.i18n.pluralRules.get_vf_(n, opt_precision);
<a name="line756"></a>  if (n % 10 == 0 || n % 100 &gt;= 11 &amp;&amp; n % 100 &lt;= 19 || vf.v == 2 &amp;&amp; vf.f % 100 &gt;= 11 &amp;&amp; vf.f % 100 &lt;= 19) {
<a name="line757"></a>    return goog.i18n.pluralRules.Keyword.ZERO;
<a name="line758"></a>  }
<a name="line759"></a>  if (n % 10 == 1 &amp;&amp; n % 100 != 11 || vf.v == 2 &amp;&amp; vf.f % 10 == 1 &amp;&amp; vf.f % 100 != 11 || vf.v != 2 &amp;&amp; vf.f % 10 == 1) {
<a name="line760"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line761"></a>  }
<a name="line762"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line763"></a>};
<a name="line764"></a>
<a name="line765"></a>/**
<a name="line766"></a> * Plural select rules for ksh locale
<a name="line767"></a> *
<a name="line768"></a> * @param {number} n  The count of items.
<a name="line769"></a> * @param {number=} opt_precision Precision for number formatting, if not default.
<a name="line770"></a> * @return {goog.i18n.pluralRules.Keyword} Locale-specific plural value.
<a name="line771"></a> * @private
<a name="line772"></a> */
<a name="line773"></a>goog.i18n.pluralRules.kshSelect_ = function(n, opt_precision) {
<a name="line774"></a>  if (n == 0) {
<a name="line775"></a>    return goog.i18n.pluralRules.Keyword.ZERO;
<a name="line776"></a>  }
<a name="line777"></a>  if (n == 1) {
<a name="line778"></a>    return goog.i18n.pluralRules.Keyword.ONE;
<a name="line779"></a>  }
<a name="line780"></a>  return goog.i18n.pluralRules.Keyword.OTHER;
<a name="line781"></a>};
<a name="line782"></a>
<a name="line783"></a>/**
<a name="line784"></a> * Selected Plural rules by locale.
<a name="line785"></a> */
<a name="line786"></a>goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line787"></a>if (goog.LOCALE == &#39;af&#39;) {
<a name="line788"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line789"></a>}
<a name="line790"></a>if (goog.LOCALE == &#39;am&#39;) {
<a name="line791"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.hiSelect_;
<a name="line792"></a>}
<a name="line793"></a>if (goog.LOCALE == &#39;ar&#39;) {
<a name="line794"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.arSelect_;
<a name="line795"></a>}
<a name="line796"></a>if (goog.LOCALE == &#39;az&#39;) {
<a name="line797"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line798"></a>}
<a name="line799"></a>if (goog.LOCALE == &#39;bg&#39;) {
<a name="line800"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line801"></a>}
<a name="line802"></a>if (goog.LOCALE == &#39;bn&#39;) {
<a name="line803"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.hiSelect_;
<a name="line804"></a>}
<a name="line805"></a>if (goog.LOCALE == &#39;br&#39;) {
<a name="line806"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.brSelect_;
<a name="line807"></a>}
<a name="line808"></a>if (goog.LOCALE == &#39;ca&#39;) {
<a name="line809"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line810"></a>}
<a name="line811"></a>if (goog.LOCALE == &#39;chr&#39;) {
<a name="line812"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line813"></a>}
<a name="line814"></a>if (goog.LOCALE == &#39;cs&#39;) {
<a name="line815"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.csSelect_;
<a name="line816"></a>}
<a name="line817"></a>if (goog.LOCALE == &#39;cy&#39;) {
<a name="line818"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.cySelect_;
<a name="line819"></a>}
<a name="line820"></a>if (goog.LOCALE == &#39;da&#39;) {
<a name="line821"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.daSelect_;
<a name="line822"></a>}
<a name="line823"></a>if (goog.LOCALE == &#39;de&#39;) {
<a name="line824"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line825"></a>}
<a name="line826"></a>if (goog.LOCALE == &#39;de_AT&#39; || goog.LOCALE == &#39;de-AT&#39;) {
<a name="line827"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line828"></a>}
<a name="line829"></a>if (goog.LOCALE == &#39;de_CH&#39; || goog.LOCALE == &#39;de-CH&#39;) {
<a name="line830"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line831"></a>}
<a name="line832"></a>if (goog.LOCALE == &#39;el&#39;) {
<a name="line833"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line834"></a>}
<a name="line835"></a>if (goog.LOCALE == &#39;en&#39;) {
<a name="line836"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line837"></a>}
<a name="line838"></a>if (goog.LOCALE == &#39;en_AU&#39; || goog.LOCALE == &#39;en-AU&#39;) {
<a name="line839"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line840"></a>}
<a name="line841"></a>if (goog.LOCALE == &#39;en_GB&#39; || goog.LOCALE == &#39;en-GB&#39;) {
<a name="line842"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line843"></a>}
<a name="line844"></a>if (goog.LOCALE == &#39;en_IE&#39; || goog.LOCALE == &#39;en-IE&#39;) {
<a name="line845"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line846"></a>}
<a name="line847"></a>if (goog.LOCALE == &#39;en_IN&#39; || goog.LOCALE == &#39;en-IN&#39;) {
<a name="line848"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line849"></a>}
<a name="line850"></a>if (goog.LOCALE == &#39;en_ISO&#39; || goog.LOCALE == &#39;en-ISO&#39;) {
<a name="line851"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line852"></a>}
<a name="line853"></a>if (goog.LOCALE == &#39;en_SG&#39; || goog.LOCALE == &#39;en-SG&#39;) {
<a name="line854"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line855"></a>}
<a name="line856"></a>if (goog.LOCALE == &#39;en_US&#39; || goog.LOCALE == &#39;en-US&#39;) {
<a name="line857"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line858"></a>}
<a name="line859"></a>if (goog.LOCALE == &#39;en_ZA&#39; || goog.LOCALE == &#39;en-ZA&#39;) {
<a name="line860"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line861"></a>}
<a name="line862"></a>if (goog.LOCALE == &#39;es&#39;) {
<a name="line863"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line864"></a>}
<a name="line865"></a>if (goog.LOCALE == &#39;es_419&#39; || goog.LOCALE == &#39;es-419&#39;) {
<a name="line866"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line867"></a>}
<a name="line868"></a>if (goog.LOCALE == &#39;es_ES&#39; || goog.LOCALE == &#39;es-ES&#39;) {
<a name="line869"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line870"></a>}
<a name="line871"></a>if (goog.LOCALE == &#39;et&#39;) {
<a name="line872"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line873"></a>}
<a name="line874"></a>if (goog.LOCALE == &#39;eu&#39;) {
<a name="line875"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line876"></a>}
<a name="line877"></a>if (goog.LOCALE == &#39;fa&#39;) {
<a name="line878"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.hiSelect_;
<a name="line879"></a>}
<a name="line880"></a>if (goog.LOCALE == &#39;fi&#39;) {
<a name="line881"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line882"></a>}
<a name="line883"></a>if (goog.LOCALE == &#39;fil&#39;) {
<a name="line884"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.filSelect_;
<a name="line885"></a>}
<a name="line886"></a>if (goog.LOCALE == &#39;fr&#39;) {
<a name="line887"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.frSelect_;
<a name="line888"></a>}
<a name="line889"></a>if (goog.LOCALE == &#39;fr_CA&#39; || goog.LOCALE == &#39;fr-CA&#39;) {
<a name="line890"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.frSelect_;
<a name="line891"></a>}
<a name="line892"></a>if (goog.LOCALE == &#39;gl&#39;) {
<a name="line893"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line894"></a>}
<a name="line895"></a>if (goog.LOCALE == &#39;gsw&#39;) {
<a name="line896"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line897"></a>}
<a name="line898"></a>if (goog.LOCALE == &#39;gu&#39;) {
<a name="line899"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.hiSelect_;
<a name="line900"></a>}
<a name="line901"></a>if (goog.LOCALE == &#39;haw&#39;) {
<a name="line902"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line903"></a>}
<a name="line904"></a>if (goog.LOCALE == &#39;he&#39;) {
<a name="line905"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.heSelect_;
<a name="line906"></a>}
<a name="line907"></a>if (goog.LOCALE == &#39;hi&#39;) {
<a name="line908"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.hiSelect_;
<a name="line909"></a>}
<a name="line910"></a>if (goog.LOCALE == &#39;hr&#39;) {
<a name="line911"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.srSelect_;
<a name="line912"></a>}
<a name="line913"></a>if (goog.LOCALE == &#39;hu&#39;) {
<a name="line914"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line915"></a>}
<a name="line916"></a>if (goog.LOCALE == &#39;hy&#39;) {
<a name="line917"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.frSelect_;
<a name="line918"></a>}
<a name="line919"></a>if (goog.LOCALE == &#39;id&#39;) {
<a name="line920"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line921"></a>}
<a name="line922"></a>if (goog.LOCALE == &#39;in&#39;) {
<a name="line923"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line924"></a>}
<a name="line925"></a>if (goog.LOCALE == &#39;is&#39;) {
<a name="line926"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.isSelect_;
<a name="line927"></a>}
<a name="line928"></a>if (goog.LOCALE == &#39;it&#39;) {
<a name="line929"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line930"></a>}
<a name="line931"></a>if (goog.LOCALE == &#39;iw&#39;) {
<a name="line932"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.heSelect_;
<a name="line933"></a>}
<a name="line934"></a>if (goog.LOCALE == &#39;ja&#39;) {
<a name="line935"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line936"></a>}
<a name="line937"></a>if (goog.LOCALE == &#39;ka&#39;) {
<a name="line938"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line939"></a>}
<a name="line940"></a>if (goog.LOCALE == &#39;kk&#39;) {
<a name="line941"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line942"></a>}
<a name="line943"></a>if (goog.LOCALE == &#39;km&#39;) {
<a name="line944"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line945"></a>}
<a name="line946"></a>if (goog.LOCALE == &#39;kn&#39;) {
<a name="line947"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.hiSelect_;
<a name="line948"></a>}
<a name="line949"></a>if (goog.LOCALE == &#39;ko&#39;) {
<a name="line950"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line951"></a>}
<a name="line952"></a>if (goog.LOCALE == &#39;ky&#39;) {
<a name="line953"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line954"></a>}
<a name="line955"></a>if (goog.LOCALE == &#39;ln&#39;) {
<a name="line956"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.akSelect_;
<a name="line957"></a>}
<a name="line958"></a>if (goog.LOCALE == &#39;lo&#39;) {
<a name="line959"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line960"></a>}
<a name="line961"></a>if (goog.LOCALE == &#39;lt&#39;) {
<a name="line962"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.ltSelect_;
<a name="line963"></a>}
<a name="line964"></a>if (goog.LOCALE == &#39;lv&#39;) {
<a name="line965"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.lvSelect_;
<a name="line966"></a>}
<a name="line967"></a>if (goog.LOCALE == &#39;mk&#39;) {
<a name="line968"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.mkSelect_;
<a name="line969"></a>}
<a name="line970"></a>if (goog.LOCALE == &#39;ml&#39;) {
<a name="line971"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line972"></a>}
<a name="line973"></a>if (goog.LOCALE == &#39;mn&#39;) {
<a name="line974"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line975"></a>}
<a name="line976"></a>if (goog.LOCALE == &#39;mo&#39;) {
<a name="line977"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.roSelect_;
<a name="line978"></a>}
<a name="line979"></a>if (goog.LOCALE == &#39;mr&#39;) {
<a name="line980"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.hiSelect_;
<a name="line981"></a>}
<a name="line982"></a>if (goog.LOCALE == &#39;ms&#39;) {
<a name="line983"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line984"></a>}
<a name="line985"></a>if (goog.LOCALE == &#39;mt&#39;) {
<a name="line986"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.mtSelect_;
<a name="line987"></a>}
<a name="line988"></a>if (goog.LOCALE == &#39;my&#39;) {
<a name="line989"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line990"></a>}
<a name="line991"></a>if (goog.LOCALE == &#39;nb&#39;) {
<a name="line992"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line993"></a>}
<a name="line994"></a>if (goog.LOCALE == &#39;ne&#39;) {
<a name="line995"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line996"></a>}
<a name="line997"></a>if (goog.LOCALE == &#39;nl&#39;) {
<a name="line998"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line999"></a>}
<a name="line1000"></a>if (goog.LOCALE == &#39;no&#39;) {
<a name="line1001"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line1002"></a>}
<a name="line1003"></a>if (goog.LOCALE == &#39;no_NO&#39; || goog.LOCALE == &#39;no-NO&#39;) {
<a name="line1004"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line1005"></a>}
<a name="line1006"></a>if (goog.LOCALE == &#39;or&#39;) {
<a name="line1007"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line1008"></a>}
<a name="line1009"></a>if (goog.LOCALE == &#39;pa&#39;) {
<a name="line1010"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.akSelect_;
<a name="line1011"></a>}
<a name="line1012"></a>if (goog.LOCALE == &#39;pl&#39;) {
<a name="line1013"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.plSelect_;
<a name="line1014"></a>}
<a name="line1015"></a>if (goog.LOCALE == &#39;pt&#39;) {
<a name="line1016"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.ptSelect_;
<a name="line1017"></a>}
<a name="line1018"></a>if (goog.LOCALE == &#39;pt_BR&#39; || goog.LOCALE == &#39;pt-BR&#39;) {
<a name="line1019"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.ptSelect_;
<a name="line1020"></a>}
<a name="line1021"></a>if (goog.LOCALE == &#39;pt_PT&#39; || goog.LOCALE == &#39;pt-PT&#39;) {
<a name="line1022"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.pt_PTSelect_;
<a name="line1023"></a>}
<a name="line1024"></a>if (goog.LOCALE == &#39;ro&#39;) {
<a name="line1025"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.roSelect_;
<a name="line1026"></a>}
<a name="line1027"></a>if (goog.LOCALE == &#39;ru&#39;) {
<a name="line1028"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.ruSelect_;
<a name="line1029"></a>}
<a name="line1030"></a>if (goog.LOCALE == &#39;sh&#39;) {
<a name="line1031"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.srSelect_;
<a name="line1032"></a>}
<a name="line1033"></a>if (goog.LOCALE == &#39;si&#39;) {
<a name="line1034"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.siSelect_;
<a name="line1035"></a>}
<a name="line1036"></a>if (goog.LOCALE == &#39;sk&#39;) {
<a name="line1037"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.csSelect_;
<a name="line1038"></a>}
<a name="line1039"></a>if (goog.LOCALE == &#39;sl&#39;) {
<a name="line1040"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.slSelect_;
<a name="line1041"></a>}
<a name="line1042"></a>if (goog.LOCALE == &#39;sq&#39;) {
<a name="line1043"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line1044"></a>}
<a name="line1045"></a>if (goog.LOCALE == &#39;sr&#39;) {
<a name="line1046"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.srSelect_;
<a name="line1047"></a>}
<a name="line1048"></a>if (goog.LOCALE == &#39;sv&#39;) {
<a name="line1049"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line1050"></a>}
<a name="line1051"></a>if (goog.LOCALE == &#39;sw&#39;) {
<a name="line1052"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line1053"></a>}
<a name="line1054"></a>if (goog.LOCALE == &#39;ta&#39;) {
<a name="line1055"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line1056"></a>}
<a name="line1057"></a>if (goog.LOCALE == &#39;te&#39;) {
<a name="line1058"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line1059"></a>}
<a name="line1060"></a>if (goog.LOCALE == &#39;th&#39;) {
<a name="line1061"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line1062"></a>}
<a name="line1063"></a>if (goog.LOCALE == &#39;tl&#39;) {
<a name="line1064"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.filSelect_;
<a name="line1065"></a>}
<a name="line1066"></a>if (goog.LOCALE == &#39;tr&#39;) {
<a name="line1067"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line1068"></a>}
<a name="line1069"></a>if (goog.LOCALE == &#39;uk&#39;) {
<a name="line1070"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.ruSelect_;
<a name="line1071"></a>}
<a name="line1072"></a>if (goog.LOCALE == &#39;ur&#39;) {
<a name="line1073"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.enSelect_;
<a name="line1074"></a>}
<a name="line1075"></a>if (goog.LOCALE == &#39;uz&#39;) {
<a name="line1076"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.esSelect_;
<a name="line1077"></a>}
<a name="line1078"></a>if (goog.LOCALE == &#39;vi&#39;) {
<a name="line1079"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line1080"></a>}
<a name="line1081"></a>if (goog.LOCALE == &#39;zh&#39;) {
<a name="line1082"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line1083"></a>}
<a name="line1084"></a>if (goog.LOCALE == &#39;zh_CN&#39; || goog.LOCALE == &#39;zh-CN&#39;) {
<a name="line1085"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line1086"></a>}
<a name="line1087"></a>if (goog.LOCALE == &#39;zh_HK&#39; || goog.LOCALE == &#39;zh-HK&#39;) {
<a name="line1088"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line1089"></a>}
<a name="line1090"></a>if (goog.LOCALE == &#39;zh_TW&#39; || goog.LOCALE == &#39;zh-TW&#39;) {
<a name="line1091"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.defaultSelect_;
<a name="line1092"></a>}
<a name="line1093"></a>if (goog.LOCALE == &#39;zu&#39;) {
<a name="line1094"></a>  goog.i18n.pluralRules.select = goog.i18n.pluralRules.hiSelect_;
<a name="line1095"></a>}
</pre>


</body>
</html>
